Loading...
Searching...
No Matches
casacore::Minus< L, R, RES > Struct Template Reference

Functor to subtract variables of possibly different types. More...

`#include <Functors.h>`

## Public Member Functions

RES | operator() (const L &x, const R &y) const

## Detailed Description

template<typename L, typename R = L, typename RES = L>
struct casacore::Minus< L, R, RES >

Functor to subtract variables of possibly different types.

This is unlike std::minus which requires equal types.

Definition at line 182 of file Functors.h.

## Member Function Documentation

## operator()()

template<typename L, typename R = L, typename RES = L>

RES casacore::Minus< L, R, RES >::operator() | ( | const L & | x,
|  | const R & | y ) const

inline

Definition at line 184 of file Functors.h.

The documentation for this struct was generated from the following file:

- casa/BasicMath/Functors.h